Build vlc it needs gcc 4.8 or higher [SOLVED]

Need help with C, C++, perl, python, etc?

Build vlc it needs gcc 4.8 or higher [SOLVED]

Postby Scorpion » 2018-11-30 16:55

We recommend using GCC to build VLC, though some people reported success
with the Intel C compiler (version 8) as well. GCC version 4.8 or higher is
required. On older systems (e.g. FreeBSD 4.x), please select a more recent
version manually by setting the CC and CXX environment variables
appropriately while running the ./configure shell script.

Since vlc 4 from github required to use last version of qt5 I' m trying vlc 3.0.
Code: Select all
configure: error: Requested 'Qt5Core >= 5.9.0' but version of Qt5 Core is 5.7.1. If you want to build VLC without GUI, pass --disable-qt.

But i have the newest version:
Code: Select all
 qtbase5-dev is already the newest version (5.7.1+dfsg-3+b1).

Before I was able to build it somehow but I did not have the interface. So I used make uninstall.
But there are some files somewhere as in /usr/bin. How can I remove all old files? I tried apt purge but "vlc is not installed".
How install gcc 4.8? I found it in Jessie but in on stretch. Can I install the unstable version?
If I build vlc 3.0 I get make error 2.
Last edited by Scorpion on 2018-12-02 10:33, edited 1 time in total.
Scorpion
 
Posts: 59
Joined: 2018-10-17 11:38

Re: Build vlc it needs gcc 4.8 or higher

Postby stevepusser » 2018-11-30 20:19

VLC 3.0.3 is already in the stretch repos. I'm not sure why you're trying to reinvent the wheel here by building that.

Stretch already has gcc-6.3. That's higher than 4.8, so that's not a problem for you.

VLC 4 needs at least Qt 5.9, and that's not in Stretch, so you'll have to wait for Buster for that. Qt 5 versions are not readily backportable. If you're getting that error with VLC 3, you still have some of VLC 4 code somehow that's throwing that error.

Also, you need to realize that the apt system can only track packages installed by it or locally from debs. When you go around it by manually compiling and installing stuff, there's no way it can know what you did behind its back!
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.5 kernel, wine-staging 4.0~rc1, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10281
Joined: 2009-10-06 05:53

Re: Build vlc it needs gcc 4.8 or higher

Postby Scorpion » 2018-11-30 21:14

https://packages.debian.org/stretch/gcc
Code: Select all
aptitude install -t stretch-backports gcc
gcc is already installed at the requested version (4:6.3.0-4)
gcc is already installed at the requested version (4:6.3.0-4)
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.

How install gcc? I don 't need vlc 4 so I don' t need qt 5.
I tried apt just in case, if I rebuild it I hope that the old files will be replaced.
Scorpion
 
Posts: 59
Joined: 2018-10-17 11:38

Re: Build vlc it needs gcc 4.8 or higher

Postby Scorpion » 2018-11-30 21:24

Code: Select all
apt install gcc
Reading package lists... Done
Building dependency tree       
Reading state information... Done
gcc is already the newest version (4:6.3.0-4).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

gcc --version
gcc (Debian 6.3.0-18+deb9u1) 6.3.0 20170516
Copyright (C) 2016 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

aptitude install -t stretch-backports gcc-6
gcc-6 is already installed at the requested version (6.3.0-18+deb9u1)
gcc-6 is already installed at the requested version (6.3.0-18+deb9u1)
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.

I see searching gcc6 that I have the gcc 6 version but i get this error:
Scorpion
 
Posts: 59
Joined: 2018-10-17 11:38

Re: Build vlc it needs gcc 4.8 or higher

Postby Scorpion » 2018-11-30 21:32

Code: Select all
[...]
access/bluray.c: In function ‘blurayTitleIsRepeating’:
access/bluray.c:1976:43: error: ‘BLURAY_CLIP_INFO {aka struct bd_clip}’ has no member named ‘clip_id’
                memcmp(title_info->clips[i].clip_id, prev->clip_id, 6) ||
                                           ^
access/bluray.c:1976:57: error: ‘BLURAY_CLIP_INFO {aka const struct bd_clip}’ has no member named ‘clip_id’
                memcmp(title_info->clips[i].clip_id, prev->clip_id, 6) ||
                                                         ^~
access/bluray.c: In function ‘streamFlush’:
access/bluray.c:2517:9: warning: case value ‘36’ not in enumerated type ‘bd_stream_type_e {aka enum <anonymous>}’ [-Wswitch]
         case BD_STREAM_TYPE_VIDEO_HEVC:
         ^~~~
Makefile:20983: recipe for target 'access/liblibbluray_plugin_la-bluray.lo' failed
make[4]: *** [access/liblibbluray_plugin_la-bluray.lo] Error 1
make[4]: Leaving directory '/path/vlc-3.0/modules'
Makefile:26221: recipe for target 'all-recursive' failed
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory '/path/vlc-3.0/modules'
Makefile:11294: recipe for target 'all' failed
make[2]: *** [all] Error 2
make[2]: Leaving directory '/path/vlc-3.0/modules'
Makefile:1531: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/path/vlc-3.0'
Makefile:1416: recipe for target 'all' failed
make: *** [all] Error 2

I need to build vlc so I can add a flag when using ./configure. Do you need all the output? This is when I get an error.
Last edited by Scorpion on 2018-11-30 21:48, edited 1 time in total.
Scorpion
 
Posts: 59
Joined: 2018-10-17 11:38

Re: Build vlc it needs gcc 4.8 or higher

Postby Scorpion » 2018-11-30 21:47

I tried to build libblueray https://www.videolan.org/developers/libbluray.html (I cannot install it) but:
Code: Select all
[...]
ant -f ./src/libbluray/bdj/build.xml \
    -Dbuild='/path/libbluray/src/libbluray/bdj/build' \
    -Ddist='/path/libbluray/.libs' \
    -Dsrc_awt=:java-j2se \
    -Dbootclasspath="" \
    -Dversion='j2se-1.0.2'
Unable to locate tools.jar. Expected to find it in /usr/lib/jvm/java-8-openjdk-amd64/lib/tools.jar
Buildfile: /path/libbluray/src/libbluray/bdj/build.xml

init:
    [mkdir] Created dir: /path/libbluray/src/libbluray/bdj/build

compile:
    [javac] /path/libbluray/src/libbluray/bdj/build.xml:24: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds

BUILD FAILED
/path/libbluray/src/libbluray/bdj/build.xml:24: Unable to find a javac compiler;
com.sun.tools.javac.Main is not on the classpath.
Perhaps JAVA_HOME does not point to the JDK.
It is currently set to "/usr/lib/jvm/java-8-openjdk-amd64/jre"

Total time: 0 seconds
Makefile:2608: recipe for target 'all-local' failed
make[1]: *** [all-local] Error 1
make[1]: Leaving directory '/rpath/libbluray'
Makefile:944: recipe for target 'all' failed
make: *** [all] Error 2
Scorpion
 
Posts: 59
Joined: 2018-10-17 11:38

Re: Build vlc it needs gcc 4.8 or higher

Postby Scorpion » 2018-11-30 22:25

I built libblueray installing `default-jdk`.
Make (vlc 3.0) succeeded. I had to start over.
Scorpion
 
Posts: 59
Joined: 2018-10-17 11:38

Re: Build vlc it needs gcc 4.8 or higher

Postby pawRoot » 2018-11-30 23:29

Maybe im drunk but can anyone explain what's the point of building vlc ?
User avatar
pawRoot
 
Posts: 572
Joined: 2016-12-28 18:26
Location: Poland

Re: Build vlc it needs gcc 4.8 or higher

Postby Scorpion » 2018-12-01 09:24

pawRoot wrote:Maybe im drunk but can anyone explain what's the point of building vlc ?

Because is the only way to install it ah no :D wait because:
I need to build vlc so I can add a flag when using ./configure. Do you need all the output? This is when I get an error.

I successfully used also make install.
Now I should have th qt interface:
Code: Select all
vlc -l | grep face
    VLC media player 3.0.3 Vetinari (revision 3.0.3-1-0-gc2bb759264)
      lua                    Command-line interface
      lua                    Lua Playlist Parser Interface
      motion                 motion control interface
      gestures               Mouse gestures control interface
      dbus                   D-Bus control interface
      xcb_hotkeys            Global Hotkeys interface
      dummy                  Dummy interface
      hotkeys                Hotkeys management interface
      oldrc                  Remote control interface
      vdpau_chroma           VDPAU surface conversions
      vdpau_chroma           VDPAU surface conversions
      skins2                 Skinnable Interface
      skins2                 Skinnable Interface
      qt                     Qt interface
      qt                     Qt interface
      ncurses                Ncurses interface
      glconv_vaapi_drm       VA-API OpenGL surface converter for DRM
      glconv_vdpau           VDPAU OpenGL surface converter
      glconv_vaapi_x11       VA-API OpenGL surface converter for X11

Now `vlc` or (`vlc -I qt`) get:
Code: Select all
   
    vlc
    [...]
    QPainter::setOpacity: Painter not active
    QPainter::drawPath: Painter not active
    QPainter::setPen: Painter not active
    QPainter::setOpacity: Painter not active
    QPainter::setBrush: Painter not active
    QPainter::drawPath: Painter not active
    QPainter::setBrush: Painter not active
    QPainter::setOpacity: Painter not active
    QPainter::setBrush: Painter not active
    QPainter::setPen: Painter not active
    QPainter::setWorldTransform: Painter not active
    QPainter::restore: Unbalanced save/restore
    QPainter::end: Painter not active, aborted
    QWidget::setMinimumSize: (/QStatusBar) The largest allowed size is (16777215,16777215)
    QWidget::setMaximumSize: (/QStatusBar) The largest allowed size is (16777215,16777215)
    QWidget::setMinimumSize: (/MainInterface) The largest allowed size is (16777215,16777215)
    QWidget::setMinimumSize: (/MainInterface) The largest allowed size is (16777215,16777215)
    [0000560153078430] main playlist: playlist is empty
    QWidget::setMinimumSize: (/FirstRun) Negative sizes (-491607381,-491607381) are not possible
    QXcbConnection: XCB error: 2 (BadValue), sequence: 420, resource id: 0, major code: 1 (CreateWindow), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 421, resource id: 41943045, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 422, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 423, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 424, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 426, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 427, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 428, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 432, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 436, resource id: 41943045, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 437, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 440, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 441, resource id: 41943045, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 445, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 446, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 449, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 450, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 2 (BadValue), sequence: 452, resource id: 0, major code: 1 (CreateWindow), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 453, resource id: 41943049, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 454, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 455, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 456, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 458, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 459, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 460, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 461, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 465, resource id: 41943049, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 466, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 469, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 470, resource id: 41943049, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 474, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 475, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 476, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 479, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 482, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 483, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 500, resource id: 41943049, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 501, resource id: 41943049, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 502, resource id: 41943049, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 503, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 504, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 505, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 506, resource id: 41943049, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 507, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 508, resource id: 41943049, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 509, resource id: 41943049, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 510, resource id: 41943049, major code: 8 (MapWindow), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 512, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 513, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 2 (BadValue), sequence: 522, resource id: 0, major code: 1 (CreateWindow), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 523, resource id: 41943056, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 524, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 525, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 526, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 528, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 529, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 530, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 531, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 535, resource id: 41943056, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 536, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 539, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 540, resource id: 41943056, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 544, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 545, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 548, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 549, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 551, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 552, resource id: 41943056, major code: 12 (ConfigureWindow), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 553, resource id: 41943056, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 554, resource id: 41943056, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 555, resource id: 41943056, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 556, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 557, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 558, resource id: 41943056, major code: 19 (DeleteProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 559, resource id: 41943056, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 560, resource id: 41943056, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 561, resource id: 41943056, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 562, resource id: 41943056, major code: 19 (DeleteProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 563, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 564, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 565, resource id: 41943045, major code: 12 (ConfigureWindow), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 566, resource id: 41943045, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 567, resource id: 41943045, major code: 2 (ChangeWindowAttributes), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 568, resource id: 41943045, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 569, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 570, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 571, resource id: 41943045, major code: 19 (DeleteProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 572, resource id: 41943045, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 573, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 574, resource id: 41943045, major code: 20 (GetProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 575, resource id: 41943045, major code: 19 (DeleteProperty), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 576, resource id: 41943045, major code: 8 (MapWindow), minor code: 0
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 578, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QWidget::setMinimumSize: (/MainInterface) The largest allowed size is (16777215,16777215)
    QXcbConnection: XCB error: 3 (BadWindow), sequence: 579, resource id: 41943045, major code: 18 (ChangeProperty), minor code: 0
    QWidget::setMinimumSize: (/MainInterface) The largest allowed size is (16777215,16777215)
    QWidget::setMinimumSize: (/FirstRun) Negative sizes (-491607381,-491607381) are not possible
    QWidget::setMinimumSize: (/MainInterface) The largest allowed size is (16777215,16777215)

What is the problem? The interface doesn' t start.
Scorpion
 
Posts: 59
Joined: 2018-10-17 11:38

Re: Build vlc it needs gcc 4.8 or higher

Postby Head_on_a_Stick » 2018-12-01 11:29

Scorpion wrote:I need to build vlc so I can add a flag when using ./configure

Code: Select all
apt-get source vlc
cd vlc-*
editor debian/rules # edit configure flags
debuild -us -uc
dpkg -i ../vlc*.deb

:)

EDIT: needs deb-src lines in the sources (sid can be used here for the source code if you want) and also the devscripts package for the `debuild` command.
dbruce wrote:Ubuntu forums try to be like a coffee shop in Seattle. Debian forums strive for the charm and ambience of a skinhead bar in Bacau. We intend to keep it that way.
User avatar
Head_on_a_Stick
 
Posts: 8324
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Build vlc it needs gcc 4.8 or higher

Postby Scorpion » 2018-12-01 12:40

If I use
Code: Select all
env QT_AUTO_SCREEN_SCALE_FACTOR=0 vlc
it works but it is very not comfortable.
Any solutino to fix it?

I tried with apt-get source but:
Code: Select all
debuild -us -uc
 dpkg-buildpackage -us -uc -ui
dpkg-buildpackage: info: source package vlc
dpkg-buildpackage: info: source version 3.0.3-1-0+deb9u1
dpkg-buildpackage: info: source distribution stretch-security
dpkg-buildpackage: info: source changed by Sebastian Ramacher <sramacher@debian.org>
 dpkg-source --before-build vlc-3.0.3-1
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
debian/rules:24: *** recipe commences before first target.  Stop.
dpkg-buildpackage: error: debian/rules clean gave error exit status 2
debuild: fatal error at line 1182:
dpkg-buildpackage -us -uc -ui failed
Scorpion
 
Posts: 59
Joined: 2018-10-17 11:38

Re: Build vlc it needs gcc 4.8 or higher

Postby Scorpion » 2018-12-01 12:43

With apt source I get 2 tar.xz, 1 .dsc and the folder vlc-3.0.3-1. I only need the folder right?
After the failure there is a new file "vlc_3.0.3-1-0+deb9u1_amd64.build" that contains:
Code: Select all
 dpkg-buildpackage -us -uc -ui
dpkg-buildpackage: info: source package vlc
dpkg-buildpackage: info: source version 3.0.3-1-0+deb9u1
dpkg-buildpackage: info: source distribution stretch-security
dpkg-buildpackage: info: source changed by Sebastian Ramacher <sramacher@debian.org>
 dpkg-source --before-build vlc-3.0.3-1
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
debian/rules:24: *** recipe commences before first target.  Stop.
dpkg-buildpackage: error: debian/rules clean gave error exit status 2
Scorpion
 
Posts: 59
Joined: 2018-10-17 11:38

Re: Build vlc it needs gcc 4.8 or higher

Postby Head_on_a_Stick » 2018-12-01 13:06

Scorpion wrote:With apt source I get 2 tar.xz, 1 .dsc and the folder vlc-3.0.3-1. I only need the folder right?

Yes, that's right.

You have provided the error, which is good, but you have not shown us what alterations you made to the rules file, which is irritating :mrgreen:
dbruce wrote:Ubuntu forums try to be like a coffee shop in Seattle. Debian forums strive for the charm and ambience of a skinhead bar in Bacau. We intend to keep it that way.
User avatar
Head_on_a_Stick
 
Posts: 8324
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Build vlc it needs gcc 4.8 or higher

Postby Scorpion » 2018-12-01 13:14

Oh sorry
Code: Select all
  GNU nano 2.7.4                                                 File: debian/rules                                                           

endif

# configure flags
confflags += \
        --config-cache \
        --disable-update-check \
        --enable-fast-install \
        --docdir=/usr/share/doc/vlc \
        --with-binary-version=$(DEB_VERSION) \
        $(NULL)
# configure features
confflags += \
        --enable-run-as-root \   #I added this line (without this comment)
        --enable-a52 \
[...]
Scorpion
 
Posts: 59
Joined: 2018-10-17 11:38

Re: Build vlc it needs gcc 4.8 or higher

Postby Head_on_a_Stick » 2018-12-01 13:38

Scorpion wrote:
Code: Select all
       --enable-run-as-root \

^ You should have told us this is what you are trying to do...

http://xyproblem.info/

This should work:
Code: Select all
# sed -i 's/geteuid/getppid/' /usr/bin/vlc

No need to recompile then but running a video player as root sounds like a stupid idea, why do you want to do that?

In respect of modifying the .deb, try adding the flag to the first list rather than the second.
dbruce wrote:Ubuntu forums try to be like a coffee shop in Seattle. Debian forums strive for the charm and ambience of a skinhead bar in Bacau. We intend to keep it that way.
User avatar
Head_on_a_Stick
 
Posts: 8324
Joined: 2014-06-01 17:46
Location: /dev/chair

Next

Return to Programming

Who is online

Users browsing this forum: No registered users and 1 guest

fashionable